regina::alias::IsomorphismImage< Derived, 3 > Class Template Reference
Dimension-Specific Aliases

Helper class that provides dimension-specific aliases for both const and non-const versions of simpImage(unsigned) and facetPerm(unsigned). More...

`#include <triangulation/alias/isomorphism.h>`

## Public Member Functions

int & | tetImage (unsigned sourceSimp)
| A dimension-specific alias for simpImage(). More...
int | tetImage (unsigned sourceSimp) const
| A dimension-specific alias for simpImage(). More...
Perm< 4 > & | facePerm (unsigned sourceSimp)
| A dimension-specific alias for facetPerm(). More...
Perm< 4 > | facePerm (unsigned sourceSimp) const
| A dimension-specific alias for facetPerm(). More...

## Detailed Description

### template<class Derived>
class regina::alias::IsomorphismImage< Derived, 3 >

Helper class that provides dimension-specific aliases for both const and non-const versions of simpImage(unsigned) and facetPerm(unsigned).

This is inherited by the class Derived, which must provide functions of the form `int& simpImage(unsigned)`, `int simpImage(unsigned) const`, `Perm<dim+1>& facetPerm(unsigned)` and `Perm<dim+1> facetPerm(unsigned) const`.

The documentation for this class was generated from the following file:

- triangulation/alias/isomorphism.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).